Failure building with python3
authorcommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 23 Aug 2013 20:50:01 +0000 (20:50 +0000)
committercommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 23 Aug 2013 20:50:01 +0000 (20:50 +0000)
commitccb5ae12687096f50e28298ca6fe4225fa5bc2af
treea81da1b512778f153991742263ce459eaa8fb5d4
parentfa01b9b2cc35ef7cb3982e5bb5303a8a2a9ea6f9
Failure building with python3
https://bugs.webkit.org/show_bug.cgi?id=106645

Patch by Laszlo Papp <lpapp@kde.org> on 2013-08-23
Reviewed by Benjamin Poulain.

Use print functions instead of python statements to be compatible with python 3.X and 2.7 as well.
Archlinux has been using python3 and that is what causes issues while packaging QtWebKit along with Qt5.

* disassembler/udis86/itab.py:
(UdItabGenerator.genInsnTable):
* disassembler/udis86/ud_opcode.py:
(UdOpcodeTables.print_table):
* disassembler/udis86/ud_optable.py:
(UdOptableXmlParser.parseDef):
(UdOptableXmlParser.parse):
(printFn):

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@154521 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Source/JavaScriptCore/ChangeLog
Source/JavaScriptCore/disassembler/udis86/itab.py
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py
Source/JavaScriptCore/disassembler/udis86/ud_optable.py